MEMMEM(3)

NAME
memmem - locate a byte substring in a byte string

LIBRARY
libc

SYNOPSIS
#include <string.h>
void *
memmem(const void *big, size_t big_len, const void *little, size_t little_len);

DESCRIPTION
The memmem() function locates the first occurrence of the byte string little in the byte string big.

RETURN VALUES
If big_len is smaller than little_len, if little_len is 0, if big_len is 0 or if little occurs nowhere in big, NULL is returned; otherwise a pointer to the first character of the first occurrence of little is returned.

SEE ALSO
memchr(3), strchr(3), strstr(3)

CONFORMING TO
memmem() is a GNU extension.

HISTORY
The memmem() function first appeared in FreeBSD 6.0.

AUTHORS
Pascal Gloor <pascal.gloor@spale.com>

BUGS
This function was broken in Linux libc up to and including version 5.0.9 and in GNU libc prior to version 2.1.